

function player_load()

	player = {}

	player.pic = love.graphics.newImage("images/avatar.png")
	player.x = love.graphics.getWidth() / 2 - player.pic:getWidth() / 2
	player.y = love.graphics.getHeight() - player.pic:getHeight() - 60
	player.speed = 200

	player.body = love.physics.newBody(world, player.x, player.y, "dynamic")
	player.shape = love.physics.newRectangleShape(player.pic:getWidth(), player.pic:getHeight())
	player.fixture = love.physics.newFixture(player.body, player.shape , 1)
	player.fixture:setRestitution(0)

end

function player_draw()
	love.graphics.draw(player.pic, player.x, player.y)
end

function player_move(dt)
	if love.keyboard.isDown("right") then
		player.body:applyForce(player.speed * dt, 0)
	elseif love.keyboard.isDown("left") then
		player.body:applyForce((player.speed * dt) * -1, 0)
	elseif love.keyboard.isDown("up") and player.y == love.graphics.getHeight() - 50 - player.pic:getHeight() then
		player.body:applyForce(0, (player.speed * dt) * -1)
	end
end
